Bug 1694039

Summary: systemtap 4.0 incompatible with rebased 5.0 kernel
Product: [Fedora] Fedora Reporter: Attila Fazekas <afazekas>
Component: systemtapAssignee: Frank Ch. Eigler <fche>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: brolley, dsmith, fche, jistone, lberk, mjw, scox, wcohen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: systemtap-4.1-0.20190327git2ede4cecb20c.fc29 systemtap-4.1-0.20190327git2ede4cecb20c.fc28 systemtap-4.1-0.20190327git2ede4cecb20c.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-31 03:00:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Attila Fazekas 2019-03-29 10:52:54 UTC
$ cat hello-world.stp
probe begin
{
	print ("hello world\n")
	exit ()
}

$ stap hello-world.stp
cc1: fatal error: /tmp/stapiiIkyT/stapconf_555bd533590cef73bf4f7208f713c0ef_742.h: No such file or directory
compilation terminated.
cc1: fatal error: /tmp/stapiiIkyT/stapconf_555bd533590cef73bf4f7208f713c0ef_742.h: No such file or directory
compilation terminated.
make[1]: *** [scripts/Makefile.build:277: /tmp/stapiiIkyT/stap_664950614341a540b437ba7774f0c579_981_src.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [scripts/Makefile.build:277: /tmp/stapiiIkyT/stap_664950614341a540b437ba7774f0c579_981_aux_0.o] Error 1
make: *** [Makefile:1557: _module_/tmp/stapiiIkyT] Error 2
WARNING: kbuild exited with status: 2
Pass 4: compilation failed.  [man error::pass4]


STAPCONF_HEADER was not created before calling the compiler.


Version-Release number of selected component (if applicable):
Linux disk-02 5.0.4-200.fc29.x86_64 #1 SMP Mon Mar 25 02:27:33 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

systemtap-runtime-4.0-2.fc29.x86_64
systemtap-runtime-4.0-2.fc29.x86_64
make-4.2.1-10.fc29.x86_64


Just generating the missing file, did not solved the issue.

Comment 1 Frank Ch. Eigler 2019-03-29 14:07:50 UTC
respinning systemtap based on a rawhide 4.1 snapshot, now that f28 has received backported 5.0 kernels

Comment 2 Fedora Update System 2019-03-29 14:26:03 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1b3f3296a

Comment 3 Fedora Update System 2019-03-29 14:28:04 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa6346c5bb

Comment 4 Attila Fazekas 2019-03-29 16:17:44 UTC
The systemtap-4.1-0.20190327git2ede4cecb20c.fc29 starts up,
but 

#! /usr/bin/env stap

probe ioblock.request {
    if (bdev==bdev_contains && sector<4) {
	printf("device %s sector %d %s, process %s[%d]\n",
		devname, sector, (rw==BIO_READ ? "read":"write"), execname(), pid())
	print_backtrace()
    }
}


Reports vdb write as vda1.

$ sudo dd if=/dev/zero of=/dev/vdb bs=4k count=1
$ ls -l /dev/vda1 
brw-rw----. 1 root disk 252, 1 Mar 29 12:38 /dev/vda1
$ ls -l /dev/vdb
brw-rw----. 1 root disk 252, 16 Mar 29 16:06 /dev/vdb


device vda1 sector 0 write, process kworker/u4:2[41502]
 0xffffffff854687e0 : generic_make_request+0x0/0x400 [kernel]
 0xffffffff85468c25 : submit_bio+0x45/0x140 [kernel]
 0xffffffff8531c46f : submit_bh_wbc+0x16f/0x1a0 [kernel]
 0xffffffff8531c6cb : __block_write_full_page+0x22b/0x440 [kernel]
 0xffffffff8523c6c9 : __writepage+0x19/0x50 [kernel]
 0xffffffff8523e9ba : write_cache_pages+0x1aa/0x440 [kernel]
 0xffffffff8523eca6 : generic_writepages+0x56/0x90 [kernel]
 0xffffffff8523f791 : do_writepages+0x41/0xd0 [kernel]
 0xffffffff853112ad : __writeback_single_inode+0x3d/0x340 [kernel]
 0xffffffff85311a20 : writeback_sb_inodes+0x1d0/0x450 [kernel]
 0xffffffff85311cfd : __writeback_inodes_wb+0x5d/0xb0 [kernel]
 0xffffffff85312065 : wb_writeback+0x255/0x2f0 [kernel]
 0xffffffff85312952 : wb_workfn+0x342/0x400 [kernel]
 0xffffffff850f8fd1 : process_one_work+0x1a1/0x3a0 [kernel]
 0xffffffff850f9200 : worker_thread+0x30/0x380 [kernel]
 0xffffffff850fee52 : kthread+0x112/0x130 [kernel]
 0xffffffff85a00215 : ret_from_fork+0x35/0x40 [kernel]
 0xffffffff85a00215 : ret_from_fork+0x35/0x40 [kernel] (inexact)
device vda1 sector 0 write, process kworker/u4:2[41502]
 0xffffffff854687e0 : generic_make_request+0x0/0x400 [kernel]
 0xffffffff85468c25 : submit_bio+0x45/0x140 [kernel]
 0xffffffff8531c46f : submit_bh_wbc+0x16f/0x1a0 [kernel]
 0xffffffff8531c6cb : __block_write_full_page+0x22b/0x440 [kernel]
 0xffffffff8523c6c9 : __writepage+0x19/0x50 [kernel]
 0xffffffff8523e9ba : write_cache_pages+0x1aa/0x440 [kernel]
 0xffffffff8523eca6 : generic_writepages+0x56/0x90 [kernel]
 0xffffffff8523f791 : do_writepages+0x41/0xd0 [kernel]
 0xffffffff853112ad : __writeback_single_inode+0x3d/0x340 [kernel]
 0xffffffff85311a20 : writeback_sb_inodes+0x1d0/0x450 [kernel]
 0xffffffff85311cfd : __writeback_inodes_wb+0x5d/0xb0 [kernel]
 0xffffffff85312065 : wb_writeback+0x255/0x2f0 [kernel]
 0xffffffff85312952 : wb_workfn+0x342/0x400 [kernel]
 0xffffffff850f8fd1 : process_one_work+0x1a1/0x3a0 [kernel]
 0xffffffff850f9200 : worker_thread+0x30/0x380 [kernel]
 0xffffffff850fee52 : kthread+0x112/0x130 [kernel]
 0xffffffff85a00215 : ret_from_fork+0x35/0x40 [kernel]
 0xffffffff85a00215 : ret_from_fork+0x35/0x40 [kernel] (inexact)

Comment 5 Frank Ch. Eigler 2019-03-29 16:32:18 UTC
that's worth tracking as a separate problem

Comment 6 Fedora Update System 2019-03-29 20:11:01 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1b3f3296a

Comment 7 Fedora Update System 2019-03-29 22:41:23 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa6346c5bb

Comment 8 Fedora Update System 2019-03-31 03:00:55 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-01 01:21:36 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-01 16:31:02 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aeb95d3090

Comment 11 Fedora Update System 2019-04-02 02:30:53 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aeb95d3090

Comment 12 Fedora Update System 2019-04-04 00:01:40 UTC
systemtap-4.1-0.20190327git2ede4cecb20c.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.